org.modeshape.jcr

## Class Sequencers.SequencingContext

- java.lang.Object
- - org.modeshape.jcr.Sequencers.SequencingContext

- All Implemented Interfaces:
    Sequencer.Context
  Enclosing class:
    Sequencers

      @Immutable
      protected static final class Sequencers.SequencingContext
      extends Object
      implements Sequencer.Context

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Sequencers.SequencingContext(DateTime now, ValueFactory jcrValueFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Calendar` | `getTimestamp()` Get the timestamp of the sequencing.
    `ValueFactory` | `valueFactory()` Returns a `ValueFactory` instance which can be used to perform additional type conversions, from what `ValueFactory` offers

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sequencers.SequencingContext

          protected Sequencers.SequencingContext(DateTime now,
                                      ValueFactory jcrValueFactory)

  - ### Method Detail

    - #### getTimestamp

          public Calendar getTimestamp()

      Description copied from interface: `Sequencer.Context`
      Get the timestamp of the sequencing. This is always the timestamp of the change event that is being processed.
      Specified by:
        `getTimestamp` in interface `Sequencer.Context`
      Returns:
        timestamp the "current" timestamp; never null

    - #### valueFactory

          public ValueFactory valueFactory()

      Description copied from interface: `Sequencer.Context`
      Returns a `ValueFactory` instance which can be used to perform additional type conversions, from what `ValueFactory` offers
      Specified by:
        `valueFactory` in interface `Sequencer.Context`
      Returns:
        a non-null value factory, using the output node's session as context

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.